import { AutoMap } from '@automapper/classes';
import { IsOptional, IsMilitaryTime } from 'class-validator';

export class ScheduleDTO {
  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  mon?: string;

  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  tue?: string;

  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  wed?: string;

  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  thu?: string;

  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  fri?: string;

  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  sat?: string;

  @IsOptional()
  @IsMilitaryTime()
  @AutoMap()
  sun?: string;
}
